PSORT(1)

NAME
psort - sort primitives in metafile as requested

SYNOPSIS
psort [ +/-x ][ +/-y ][ +/-X ][ +/-Y ] file ..

DESCRIPTION
Psort reads each metafile file in sequence and sorts primitives between globals according to the option specification. Lower case options mean the corresponding minimum, upper case indicates the maximum value. A '+' before the option means sort in order of increasing values, '-' means decreasing. The order the options appear on the command line is the order in which the extrema are examined. For example, the options -Y +x would mean "sort on decreasing ymax, then increasing xmin values".

If no input files are specified, the standard input is read.

EXAMPLE
To sort the file "meta" in order of increasing xmax, then decreasing ymin:

    psort +X -y meta

FILES
/tmp/psXXXXa /tmp/psXXXXb

BUGS
Aborting the program will sometimes leave files in /tmp.

AUTHOR
Greg Ward

SEE ALSO
metafile(5), pexpand(1)